Package org.opensaml.saml.saml1.core.impl

# Class AuthorityBindingImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.AuthorityBindingImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthorityBinding`

public class AuthorityBindingImpl extends AbstractXMLObject implements AuthorityBinding
A concrete implementation of the `AuthorityBinding` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private QName`
`authorityKind`
The AuthorityKind.
`private String`
`binding`
The Binding.
`private String`
`location`
The Location.

### Fields inherited from interface org.opensaml.saml.saml1.core.AuthorityBinding

`AUTHORITYKIND_ATTRIB_NAME, BINDING_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, LOCATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthorityBindingImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`QName`
`getAuthorityKind()`
Get the type of authority described.
`String`
`getBinding()`
Get the authority binding.
`String`
`getLocation()`
Get the authority location.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAuthorityKind(QName kind)`
Set the type of authority described.
`void`
`setBinding(String newBinding)`
Set the authority binding.
`void`
`setLocation(String loc)`
Set the authority location.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authorityKind

@Nullable private QName authorityKind
The AuthorityKind.

### location

@Nullable private String location
The Location.

### binding

@Nullable private String binding
The Binding.

## Constructor Details

### AuthorityBindingImpl

protected AuthorityBindingImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAuthorityKind

@Nullable public QName getAuthorityKind()
Get the type of authority described.

Specified by:
  `getAuthorityKind` in interface `AuthorityBinding`
Returns:
  the type of authority

### setAuthorityKind

public void setAuthorityKind(@Nullable QName kind)
Set the type of authority described.

Specified by:
  `setAuthorityKind` in interface `AuthorityBinding`
Parameters:
  `kind` - the type of authority

### getLocation

@Nullable public String getLocation()
Get the authority location.

Specified by:
  `getLocation` in interface `AuthorityBinding`
Returns:
  the location

### setLocation

public void setLocation(@Nullable String loc)
Set the authority location.

Specified by:
  `setLocation` in interface `AuthorityBinding`
Parameters:
  `loc` - the location

### getBinding

@Nullable public String getBinding()
Get the authority binding.

Specified by:
  `getBinding` in interface `AuthorityBinding`
Returns:
  the binding

### setBinding

public void setBinding(@Nullable String newBinding)
Set the authority binding.

Specified by:
  `setBinding` in interface `AuthorityBinding`
Parameters:
  `newBinding` - the binding

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements